Scans
Get a Scan
Gets the current status and timestamps for one Scan.
GET
/
v1
/
sites
/
{siteId}
/
scans
/
{scanId}
Get a Scan
curl --request GET \
--url https://api.onsomble.ai/v1/sites/{siteId}/scans/{scanId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onsomble.ai/v1/sites/{siteId}/scans/{scanId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onsomble.ai/v1/sites/{siteId}/scans/{scanId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "completed",
"createdAt": "2026-07-01T09:30:00.000Z",
"startedAt": "2026-07-01T09:31:00.000Z",
"completedAt": "2026-07-01T09:42:00.000Z",
"updatedAt": "2026-07-01T09:42:00.000Z"
}Authorizations
An API key created in Settings → Account → API Keys.
Response
Available options:
queued, running, completed, failed Example:
"completed"
Example:
"2026-07-01T09:30:00.000Z"
Example:
"2026-07-01T09:31:00.000Z"
When the Scan reached a terminal state. Null while it is queued or running.
Example:
"2026-07-01T09:42:00.000Z"
Example:
"2026-07-01T09:42:00.000Z"
⌘I
Get a Scan
